Issue 121455 - constant is "non-primitive" not "NonPrimitive" in attribute draw:type in enhanced-geometry
constant is "non-primitive" not "NonPrimitive" in attribute draw:type in enha...
Status: RESOLVED FIXED
Product: Draw
Classification: Application
Component: save-export
4.0.0-dev
PC Windows XP
: P4 normal (vote)
: 4.0.0
Assigned To: AOO issues mailing list
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-12-09 19:49 UTC by Regina Henschel
Modified: 2013-07-12 16:33 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation on: ---
Developer Difficulty: ---


Attachments
NonPrimitive --> non-primitive (1.05 KB, patch)
2012-12-11 17:15 UTC, Regina Henschel
rb.henschel: review? (rb.henschel)
Details | Diff

Note You need to log in before you can comment on or make changes to this issue.
Description Regina Henschel 2012-12-09 19:49:45 UTC
When AOO gets a document with a custom shape, that has no attribute draw:type, then AOO saves it with the attribute draw:type="NonPrimitive". That does not cause a syntax error because a string is allowed here. But the default for the attribute draw:type is "non-primitive" and AOO should either omit the attribute or write it as draw:type="non-primitive".
Comment 1 Armin Le Grand 2012-12-11 14:54:27 UTC
ALG: Is this about xmloff\source\draw\shapeexport4.cxx(477)..?
Comment 2 Regina Henschel 2012-12-11 17:15:25 UTC
Created attachment 80017 [details]
NonPrimitive --> non-primitive

@Armin: I think so. I do not find any other occurrence of NonPrimitive and my test shows, that the file gets the attribute value "non-primitive" after exchanging the strings in that line.
Comment 3 SVN Robot 2012-12-12 12:59:14 UTC
"alg" committed SVN revision 1420650 into trunk:
121455# Adapted from NonPrimitive to non-primitive as used in the spec
Comment 4 Armin Le Grand 2012-12-12 12:59:26 UTC
ALG: Okay, comitted.